@ECHO OFF
rem PenMount setup/demo utilities  ver 1.00
rem LICENSED BY DIALOGUE TECHNOLOGY CORP.

:START
cls
echo =========================SALT INTERNATIONAL CORP.==========================
echo             PENMOUNT    SETUP for DMC9000           (ver 1.00)
echo             (Licenser : SALT International Corp.)
echo   -----------------------------------------------------------------------
echo   FUNCTIONS:
echo        (0) QUIT
echo        (1) DO CALIBRATION (adjust screen mapping)
echo        (2) SHOW CURRENT SETTINGS
echo        (3) DRAWING TEST (press SpaceBar to clear screen, press ESC to exit)
echo ===========================================================================
:SWITCH
switch Please select a function ....
if errorlevel 3 goto Drawing
if errorlevel 2 goto ShowSettings
if errorlevel 1 goto Calibrate
if errorlevel 0 goto ENDALL
goto ENDALL

:Calibrate
 echo pmset /C -IPMOUSE.CFG -OPMOUSE.CFG
 pmset /C -IPMOUSE.CFG -OPMOUSE.CFG
 goto START

:ShowSettings
 echo pmset /D -IPMOUSE.CFG
 pmset /D -IPMOUSE.CFG
 pause
 goto START

:Drawing
 echo pmset /T -IPMOUSE.CFG
 pmset /T -IPMOUSE.CFG
 goto START

:ENDALL

pmouse /u > nul
pmouse > nul
